

import 'package:json_annotation/json_annotation.dart';
import 'package:soliq_id/data/model/request/account_info_request.dart';
part 'create_session_request.g.dart';

@JsonSerializable()
class CreateSessionRequest {
  final String deviceId;
  final int projectId;
  final Device device;

  factory CreateSessionRequest.fromJson(Map<String, dynamic> json) =>
      _$CreateSessionRequestFromJson(json);

  CreateSessionRequest( {
    required this.projectId,
    required this.deviceId,
    required this.device,
  });

  Map<String, dynamic> toJson() => _$CreateSessionRequestToJson(this);
}